/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package edefterwsconsole2;

import javax.xml.ws.Holder;
import tr.com.cs.uut.edefter.webservice.EDefterGetKalanKullanimInput;
import tr.com.cs.uut.edefter.webservice.EDefterGetKalanKullanimOutput;
import tr.com.cs.uut.edefter.webservice.EDefterWebServiceResponse;

/**
 *
 * @author osman.cuhadar
 */
public class EDefterWSConsole2 {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        

        
        try {
        String username = "alpozler.edefter";
        String password = "12345678aB";
        //Login sınıfı SOAP Handler ile login olabilmeyi ve methodları kullanabilmeyi sağlayacaktır.
        Login login = new Login(username, password);
        

        
        
        //eDefterGetKalanKullanimInput metodunun kullanımı aşağıdadır.
        EDefterGetKalanKullanimInput input = new EDefterGetKalanKullanimInput();
        input.setVknTckn("9394959643");
        Holder<EDefterGetKalanKullanimOutput> output = new Holder<>();
        
        
        EDefterWebServiceResponse eDefterGetKalanKullanim = login.port.eDefterGetKalanKullanim(input, output);
        
        System.out.println("Sonuç Kodu: "+eDefterGetKalanKullanim.getSonucKodu()+
                           "\nSonuç Açıklama: "+eDefterGetKalanKullanim.getSonucAciklama()+
                           "\n"+eDefterGetKalanKullanim.getEkBilgi()+
                           "\n\nKalan Miktar: "+output.value.getKalanMiktar());
            
        } catch (Exception e) {
            e.printStackTrace();
        }
        

        
    }
    
}
